Bug 269741 - Move UI tools to another sub-package
Move UI tools to another sub-package
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: avahi (Show other bugs)
rawhide
All All
medium Severity low
: ---
: ---
Assigned To: Martin Bacovsky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-30 18:17 EDT by Bastien Nocera
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-06 13:28:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-08-30 18:17:40 EDT
I have avahi-tools installed because elisa uses the Python bits from avahi.

I'd rather not have the "Avahi VNC server browser" (vinagre has the local
browser integrated, and bvnc is missing a dependency on xvncviewer).

The SSH browser should be integrated in gnome-terminal.

In the meanwhile, those 2 utilities should be split from the avahi-tools package
(the command-line utilities are useful as debug tools, the UI programs aren't).
Comment 1 Lennart Poettering 2007-09-06 10:26:25 EDT
hmm? how should bssh be integrated into gnome-terminal?

The primary use case of bssh is to start it from a shell, quickly select a ssh
server with your arrow keys and pressing enter to connect. It's an exceptionally
useful tool. And I see no sensible way to integrate it into gnome-terminal.

(Not that I wouldn't agree to split it off into seperate packages, ...)
Comment 2 Bastien Nocera 2007-09-06 10:48:26 EDT
(In reply to comment #1)
> hmm? how should bssh be integrated into gnome-terminal?
> 
> The primary use case of bssh is to start it from a shell, quickly select a ssh
> server with your arrow keys and pressing enter to connect. It's an exceptionally
> useful tool. And I see no sensible way to integrate it into gnome-terminal.

a menu item to allow entering SSH connection details, with the possibility of
browsing for local computers, a-la MacOS X.

> (Not that I wouldn't agree to split it off into seperate packages, ...)

Cool :)
Comment 3 Lennart Poettering 2007-09-06 11:13:01 EDT
Have you filed a wishlist bug for gnome-terminal?
Comment 4 Bastien Nocera 2007-09-06 11:15:57 EDT
(In reply to comment #3)
> Have you filed a wishlist bug for gnome-terminal?

There's already:
http://bugzilla.gnome.org/show_bug.cgi?id=313480
and
http://bugzilla.gnome.org/show_bug.cgi?id=343934

Not much details in there, I guess people are procrastinating on a possible
solution :)
Comment 5 Lennart Poettering 2007-09-06 13:28:24 EDT
Hmm, I would love to see this implemented in gnome-terminal, although the screen
integration stuff sounds like crack to me.

I split avahi-ui-tools now of in rawhide. koji just finished building.

Note You need to log in before you can comment on or make changes to this bug.